Package org.silverpeas.components.gallery.socialnetwork

## Class SocialGalleryMediaComment

- java.lang.Object
- - org.silverpeas.components.gallery.socialnetwork.SocialGalleryMediaComment

- All Implemented Interfaces:
    `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.socialnetwork.model.SocialInformation>`, `org.silverpeas.core.socialnetwork.provider.SocialMediaCommentProvider<org.silverpeas.core.socialnetwork.model.SocialInformation>`

      @Provider
      public class SocialGalleryMediaComment
      extends Object
      implements org.silverpeas.core.socialnetwork.provider.SocialMediaCommentProvider<org.silverpeas.core.socialnetwork.model.SocialInformation>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocialGalleryMediaComment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.socialnetwork.model.SocialInformation>` | `getSocialInformationList​(String userId, Date begin, Date end)` |
    `List<org.silverpeas.core.socialnetwork.model.SocialInformation>` | `getSocialInformationListOfMyContacts​(String myId, List<String> myContactsIds, Date begin, Date end)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialGalleryMediaComment

          public SocialGalleryMediaComment()

  - ### Method Detail

    - #### getSocialInformationList

          public List<org.silverpeas.core.socialnetwork.model.SocialInformation> getSocialInformationList​(String userId,
                                                                                                          Date begin,
                                                                                                          Date end)

      Specified by:
        `getSocialInformationList` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.socialnetwork.model.SocialInformation>`

    - #### getSocialInformationListOfMyContacts

          public List<org.silverpeas.core.socialnetwork.model.SocialInformation> getSocialInformationListOfMyContacts​(String myId,
                                                                                                                      List<String> myContactsIds,
                                                                                                                      Date begin,
                                                                                                                      Date end)

      Specified by:
        `getSocialInformationListOfMyContacts` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.socialnetwork.model.SocialInformation>`